package com.liangjian.dataplatform.member.entity.po.tertiary;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Author: 黄子奇
 * @Date: 2019/12/2
 */
@Entity
@Table(name = "ProductImages")
@ApiModel("商品图片")
public class ProductImages {
    @Id
    @Column(name = "Id")
    private String id;

    @Column(name = "ProductCode")
    private Integer productCode;

    @ApiModelProperty("图片文件路径")
    @Column(name = "ImageUrl")
    private String imageUrl;

    @Column(name = "ThumbnailUrl")
    private String thumbnailUrl;

    @Column(name = "Img100")
    private String img100;

    @Column(name = "Img180")
    private String img180;

    @Column(name = "Img320")
    private String img320;

    @Column(name = "IsMain")
    private Boolean isMain;

    @Column(name = "SyncStatus")
    private Character syncStatus;

    @Column(name = "MobilephoneUrl")
    private String mobilephoneUrl;

    @Column(name = "Img120")
    private String img120;

    @Column(name = "img60")
    private String img60;

    @Column(name = "DealWithType")
    private Integer dealWithType;

    @Column(name = "Img200")
    private String img200;

    @Column(name = "ImgNo")
    private Short imgNo;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getProductCode() {
        return productCode;
    }

    public void setProductCode(Integer productCode) {
        this.productCode = productCode;
    }

    public String getImageUrl() {
        String url = "https://image.360lj.com/s" + imageUrl;
        url = url.replace(".jpg","!500x500.jpg");
        return url;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getThumbnailUrl() {
        return thumbnailUrl;
    }

    public void setThumbnailUrl(String thumbnailUrl) {
        this.thumbnailUrl = thumbnailUrl;
    }

    public String getImg100() {
        return img100;
    }

    public void setImg100(String img100) {
        this.img100 = img100;
    }

    public String getImg180() {
        return img180;
    }

    public void setImg180(String img180) {
        this.img180 = img180;
    }

    public String getImg320() {
        return img320;
    }

    public void setImg320(String img320) {
        this.img320 = img320;
    }

    public Boolean getMain() {
        return isMain;
    }

    public void setMain(Boolean main) {
        isMain = main;
    }

    public Character getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(Character syncStatus) {
        this.syncStatus = syncStatus;
    }

    public String getMobilephoneUrl() {
        return mobilephoneUrl;
    }

    public void setMobilephoneUrl(String mobilephoneUrl) {
        this.mobilephoneUrl = mobilephoneUrl;
    }

    public String getImg120() {
        return img120;
    }

    public void setImg120(String img120) {
        this.img120 = img120;
    }

    public String getImg60() {
        return img60;
    }

    public void setImg60(String img60) {
        this.img60 = img60;
    }

    public Integer getDealWithType() {
        return dealWithType;
    }

    public void setDealWithType(Integer dealWithType) {
        this.dealWithType = dealWithType;
    }

    public String getImg200() {
        return img200;
    }

    public void setImg200(String img200) {
        this.img200 = img200;
    }

    public Short getImgNo() {
        return imgNo;
    }

    public void setImgNo(Short imgNo) {
        this.imgNo = imgNo;
    }
}
